Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Linux opkg - balicek g++  (Přečteno 597 krát)

internauto

  • Návštěvník
  • *
  • Příspěvků: 4
  • Karma: +0/-0
    • Zobrazit profil
Linux opkg - balicek g++
« kdy: 16 Leden 2017, 20:53:41 »
Zdravim, pro kompilaci mi na linuxu schazi kompilator g++ a tak jsem hledat ve spravci balicku opkg ale zadny balicek g++ jsem nenasel. Co delam spatne?

internauto

  • Návštěvník
  • *
  • Příspěvků: 4
  • Karma: +0/-0
    • Zobrazit profil
Re:Linux opkg - balicek g++
« Odpověď #1 kdy: 16 Leden 2017, 21:24:18 »
pise mi to
make: g++: comamnd not found

priznam se, ze je to moje prvni kompilovani na linuxu  ??? tak v tom trochu plavu

Myrmica

  • Závislák
  • ****
  • Příspěvků: 1647
  • Karma: +157/-9
    • Zobrazit profil
    • MYRMICA
Re:Linux opkg - balicek g++
« Odpověď #2 kdy: 17 Leden 2017, 06:45:08 »
Jen ti nastíním jak instaluji kompilátor pro Qt Creator (Community)
Install g++ :
Kód: [Vybrat]
sudo apt-get install build-essentialMožná budeš potřebovat OpenGL.
Install OpenGL libraries
Kód: [Vybrat]
sudo apt-get install mesa-common-deva někdy je potřeba:
Kód: [Vybrat]
sudo apt-get install libglu1-mesa-dev -y
Stolní strojek: OS– UBUNTU 16.04 x86_64, MB ASUS P8 Z68-V/GEN3, Intel® Core™ i5-3470 CPU @ 3.20GHz × 4 , 16GiB DDR3, GeForce GTX 670...
Notebook: ASUS U53Jc OS– UBUNTU 16.04 x86_64, Windows 7, Processor – Intel Core i5-460M (2,53 GHz), Graphics – switchable NVIDIA GeForce 310M and Intel GMA HD

internauto

  • Návštěvník
  • *
  • Příspěvků: 4
  • Karma: +0/-0
    • Zobrazit profil
Re:Linux opkg - balicek g++
« Odpověď #3 kdy: 17 Leden 2017, 11:42:29 »
Rozumin, nainstalovat balicek build-essential, ale kdyz musim pouzit opkg spravce balicku, zadny takovy balicek tam neni, tak jsem nahranej  ???

navsteva

  • Člen
  • **
  • Příspěvků: 184
  • Karma: +8/-2
    • Zobrazit profil
Re:Linux opkg - balicek g++
« Odpověď #4 kdy: 17 Leden 2017, 12:29:00 »
OPKG package manager není pro ubuntu, ale pro OpenWRT.

internauto

  • Návštěvník
  • *
  • Příspěvků: 4
  • Karma: +0/-0
    • Zobrazit profil
Re:Linux opkg - balicek g++
« Odpověď #5 kdy: 17 Leden 2017, 12:53:15 »
chapu, jsem na spatnem foru, ok